{% extends 'base_fullwidth_leaflet.html' %}
{% load leaflet_tags i18n static crispy_forms_tags django_tables2 geojson_tags %}
{% leaflet_js %} {% leaflet_css %}
{% block jsvar %} {% endblock %}
{% block title %}{{ title | safe }}{% endblock %}
{% block content %}
<style>
  .searchBlock {
    overflow-y: auto;
    height: calc(100vh - 200px);
  }

  #mapContainer {
    width: 100%;
    height: calc(100vh - 200px);
  }

</style>

<div id="SpecieDistribution">
  <h1>
    Répartition des espèces <span v-if='data' class="text-muted">([[this.mapStyle.title]])</span>
  </h1>
  <div class="row">
    <div class="col col-xs-12 col-sm-4 col-md-3 col-lg-2">
      <div class="panel">
        <div class="panel-body searchBlock">
          <p class=" text-info"> <i class="fa fa-search fa-fw"></i>Rechercher</p>
          <form v-on:keyup.enter="search()">
            <div class="form-group">
              <label class="control-label" for="codeSp">Taxon</label>
              <specie-select v-model="filters.codesp" />
            </div>
            <div class="form-group" class="form-group">
              <label class="control-label" for="Precision">Type</label>
              <dict-select :options="dicts.AreaType" v-model="filters.type" />
            </div>
            <div class="form-group">
              <label class="control-label" for="mapStyle">Style de carte</label>
              <select class="form-control" name="mapStyle" id="mapStyle" v-model="mapStyle">
                <option v-for="m in mapThemeList" :value="mapTheme[m]">[[mapTheme[m].title]]</option>
              </select>
            </div>
            <div class="form-group">
              <label class="control-label" for="mapPeriod">Période</label>
              <select class="form-control" name="mapPeriod" id="mapPeriod" v-model="filters.period">
                <option v-for="m in mapPeriod" :value="m.value">[[m.title]]</option>
              </select>
            </div>
          </form>
        </div>
      </div>
    </div>
    <div class="col-xs-12 col-sm-8 col-md-9 col-lg-10">
      <div id="mapContainer">
      </div>
    </div>
  </div>
</div>
<script>
  $(document).ready(() => {
    const vm = new Vue(SpecieDistribution(specieDistributionUrl));
  })

</script>
{% endblock %}
